| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Prompt.AppendFile

Portability | unportable
Stability | unstable
Maintainer | <byorgey@gmail.com>

Contents

Usage

Description
A prompt for appending a single line of text to a file. Useful for keeping a file of notes, things to remember for later, and so on--- using a keybinding, you can write things down just about as quickly as you think of them, so it doesn't have to interrupt whatever else you're doing. Who knows, it might be useful for other purposes as well!
Synopsis

appendFilePrompt :: XPConfig -> FilePath -> X ()

Usage

You can use this module by importing it, along with XMonad.Prompt, into your ~/.xmonad/xmonad.hs file:

     import XMonad.Prompt
     import XMonad.Prompt.AppendFile

and adding an appropriate keybinding, for example:

      , ((modMask x .|. controlMask, xK_n), appendFilePrompt defaultXPConfig "/home/me/NOTES")

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

appendFilePrompt :: XPConfig -> FilePath -> X () | Source

Given an XPrompt configuration and a file path, prompt the user for a line of text, and append it to the given file.
Produced by Haddock version 2.4.2